/*
 * Copyright 2014 Cloud Linux Zug GmbH
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 *
 * The part the support library for lsapi & proxy_lsapi Apache modules
 * author Alexander Demeshko <ademeshko@cloudlinux.com>
 *
 */

#ifndef _LSPHP_H
#define _LSPHP_H

#include "sulsphp.h"

#include <sys/param.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <string.h>
#include <time.h>
#include <unistd.h>
#include <errno.h>

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <fcntl.h>

#include <pwd.h>
#include <grp.h>
#include <dlfcn.h>

#if defined(PATH_MAX)
#define AP_MAXPATH PATH_MAX
#elif defined(MAXPATHLEN)
#define AP_MAXPATH MAXPATHLEN
#else
#define AP_MAXPATH 8192
#endif

#define AP_ENVBUF 256

#define AP_SULSPHP_UMASK 0

extern FILE *file_log;

void log_err(const char *fmt,...) 
    __attribute__((format(printf,1,2)));
void log_no_err(const char *fmt,...)  
    __attribute__((format(printf,1,2)));
void err_output(int is_error, const char *fmt, va_list ap) 
    __attribute__((format(printf,2,0)));
void close_log(void);


void clean_env(void);

void fork_itself(void);

void lve_jail(struct passwd *pw);

void set_signals(void);

#endif // _LSPHP_H
